#include "collection.h"

namespace Msp {
namespace DataFile {

Collection::~Collection()
{
	for(TypeList::iterator i = types.begin(); i!=types.end(); ++i)
		delete *i;
}


Collection::Loader::Loader(Collection &c):
	coll(c)
{	
	for(TypeList::const_iterator i = coll.types.begin(); i!=coll.types.end(); ++i)
		(*i)->add_to_loader(*this);
}

} // namespace DataFile
} // namespace Msp
